This site uses cookies. By continuing to browse the site you are agreeing to our use of cookies. Read our private policy>

Security Advisory - Multiple Vulnerabilities in Intel Management Engine Firmware

  • SA No:huawei-sa-20171201-01-intel
  • Initial Release Date: 2017-12-01
  • Last Release Date: 2017-12-06

There are multiple vulnerabilities in Intel Management Engine (ME) firmware. Some Huawei devices are affected for using related Intel products.
Multiple buffer overflows in kernel in Intel Manageability Engine Firmware 11.0/11.5/11.6/11.7/11.10/11.20 allow attacker with local access to the system to execute arbitrary code. (Vulnerability ID: HWPSIRT-2017-11005)
This vulnerability has been assigned a CVE ID: CVE-2017-5705.

Multiple privilege escalations in kernel in Intel Manageability Engine Firmware 11.0/11.5/11.6/11.7/11.10/11.20 allow unauthorized process to access privileged content via unspecified vector. (Vulnerability ID: HWPSIRT-2017-11006)
This vulnerability has been assigned a CVE ID: CVE-2017-5708.

Multiple buffer overflows in Active Management Technology (AMT) in Intel Manageability Engine Firmware 8.x/9.x/10.x/11.0/11.5/11.6/11.7/11.10/11.20 allow attacker with local access to the system to execute arbitrary code with AMT execution privilege. (Vulnerability ID: HWPSIRT-2017-11007)
This vulnerability has been assigned a CVE ID: CVE-2017-5711.

Buffer overflow in Active Management Technology (AMT) in Intel Manageability Engine Firmware 8.x/9.x/10.x/11.0/11.5/11.6/11.7/11.10/11.20 allows attacker with remote Admin access to the system to execute arbitrary code with AMT execution privilege. (Vulnerability ID: HWPSIRT-2017-11008)
This vulnerability has been assigned a CVE ID: CVE-2017-5712.

Multiple buffer overflows in kernel in Intel Server Platform Services Firmware 4.0 allow attacker with local access to the system to execute arbitrary code. (Vulnerability ID: HWPSIRT-2017-11009)
This vulnerability has been assigned a CVE ID: CVE-2017-5706.

Multiple privilege escalations in kernel in Intel Server Platform Services Firmware 4.0 allows unauthorized process to access privileged content via unspecified vector. (Vulnerability ID: HWPSIRT-2017-11010)
This vulnerability has been assigned a CVE ID: CVE-2017-5709.

Multiple buffer overflows in kernel in Intel Trusted Execution Engine Firmware 3.0 allow attacker with local access to the system to execute arbitrary code. (Vulnerability ID: HWPSIRT-2017-11011)
This vulnerability has been assigned a CVE ID: CVE-2017-5707.

Multiple privilege escalations in kernel in Intel Trusted Execution Engine Firmware 3.0 allows unauthorized process to access privileged content via unspecified vector. (Vulnerability ID: HWPSIRT-2017-11012)
This vulnerability has been assigned a CVE ID: CVE-2017-5710.

Huawei has released software updates to fix these vulnerabilities. This advisory is available at the following link:
http://www.huawei.com/en/psirt/security-advisories/huawei-sa-20171201-01-intel-en

Product Name

Affected Version

Resolved Product and Version

1288H V5

V100R005C00

V100R005C00SPC105[1]

2288H V5

V100R005C00

V100R005C00SPC105[1]

2488 V5

V100R005C00

V100R005C00SPC200[2]


[1] To fix these vulnerabilities, only BIOS component needs to be upgraded to V037 and iBMC component needs to be upgraded to V260.

[2] To fix these vulnerabilities, only BIOS component needs to be upgraded to V067 and iBMC component needs to be upgraded to V260.

HWPSIRT-2017-11005:
Attackers with local access to the system could execute arbitrary code by exploiting this vulnerability.
HWPSIRT-2017-11006:
Unauthorized process created by attacker could access privileged content via unspecified vector by exploiting this vulnerability.
HWPSIRT-2017-11007:
Attackers with local access to the system could execute arbitrary code with AMT execution privilege by exploiting this vulnerability.
HWPSIRT-2017-11008:
Attackers with remote Admin access to the system could execute arbitrary code with AMT execution privilege by exploiting this vulnerability.
HWPSIRT-2017-11009:
Attackers with local access to the system could execute arbitrary code by exploiting this vulnerability.
HWPSIRT-2017-11010:
Unauthorized process created by attacker could access privileged content via unspecified vector by exploiting this vulnerability.
HWPSIRT-2017-11011:
Attackers with local access to the system could execute arbitrary code by exploiting this vulnerability.
HWPSIRT-2017-11012:
Unauthorized process created by attacker could access privileged content via unspecified vector by exploiting this vulnerability.
The vulnerability classification has been performed by using the CVSSv3 scoring system (http://www.first.org/cvss/specification-document).
HWPSIRT-2017-11005:
Base Score: 8.2 (AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H)
Temporal Score: 7.6 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11006:
Base Score: 7.5 (AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:N)
Temporal Score: 7.0 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11007:
Base Score: 6.7 (AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H)
Temporal Score: 6.2 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11008:
Base Score: 7.2 (AV:N/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H)
Temporal Score: 6.7 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11009:
Base Score: 8.2 (AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H)
Temporal Score: 7.6 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11010:
Base Score: 7.5 (AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:N)
Temporal Score: 7.0 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11011:
Base Score: 8.2 (AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H)
Temporal Score: 7.6 (E:F/RL:O/RC:C)
 HWPSIRT-2017-11012:
Base Score: 7.5 (AV:L/AC:H/PR:L/UI:N/S:C/C:H/I:H/A:N)
Temporal Score: 7.0 (E:F/RL:O/RC:C)
HWPSIRT-2017-11005:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple buffer overflows in kernel in Intel Manageability Engine Firmware 11.0/11.5/11.6/11.7/11.10/11.20 allow attacker with local access to the system to execute arbitrary code.  HWPSIRT-2017-11006:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple privilege escalations in kernel in Intel Manageability Engine Firmware 11.0/11.5/11.6/11.7/11.10/11.20 allow unauthorized process to access privileged content via unspecified vector.  HWPSIRT-2017-11007:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple buffer overflows in Active Management Technology (AMT) in Intel Manageability Engine Firmware 8.x/9.x/10.x/11.0/11.5/11.6/11.7/11.10/11.20 allow attacker with local access to the system to execute arbitrary code with AMT execution privilege.  HWPSIRT-2017-11008:
This vulnerability can be exploited only when the following conditions are present:
The attacker accesses to the vulnerable device's network.
Vulnerability details:
Buffer overflow in Active Management Technology (AMT) in Intel Manageability Engine Firmware 8.x/9.x/10.x/11.0/11.5/11.6/11.7/11.10/11.20 allows attacker with remote Admin access to the system to execute arbitrary code with AMT execution privilege.  HWPSIRT-2017-11009:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple buffer overflows in kernel in Intel Server Platform Services Firmware 4.0 allow attacker with local access to the system to execute arbitrary code.  HWPSIRT-2017-11010:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple privilege escalations in kernel in Intel Server Platform Services Firmware 4.0 allows unauthorized process to access privileged content via unspecified vector.  HWPSIRT-2017-11011:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple buffer overflows in kernel in Intel Trusted Execution Engine Firmware 3.0 allow attacker with local access to the system to execute arbitrary code.  HWPSIRT-2017-11012:
This vulnerability can be exploited only when the following conditions are present:
The attacker can login to the vulnerable system.
Vulnerability details:
Multiple privilege escalations in kernel in Intel Trusted Execution Engine Firmware 3.0 allows unauthorized process to access privileged content via unspecified vector.

Customers should contact Huawei TAC (Huawei Technical Assistance Center) to request the upgrades. For TAC contact information, please refer to Huawei worldwide website at http://www.huawei.com/en/psirt/report-vulnerabilities.

This vulnerability was discovered by Intel.
2017-12-06 V1.1 UPDATED Updated the "Software Versions and Fixes" section;
2017-12-01 V1.0 INITIAL

Huawei adheres to protecting the ultimate interests of users with best efforts and the principle of responsible disclosure and deal with product security issues through our response mechanism.

To enjoy Huawei PSIRT services and obtain Huawei product vulnerability information, please visit http://www.huawei.com/en/psirt.

To report a security vulnerability in Huawei products and solutions, please send it to PSIRT@huawei.com. For details, please visit http://www.huawei.com/en/psirt/report-vulnerabilities.

This document is provided on an "AS IS" basis and does not imply any kind of guarantee or warranty, either express or implied, including the warranties of merchantability or fitness for a particular purpose. In no event shall Huawei or any of its directly or indirectly controlled subsidiaries or its suppliers be liable for any damages whatsoever including direct, indirect, incidental, consequential, loss of business profits or special damages. Your use of the document, by whatsoever means, will be totally at your own risk. Huawei is entitled to amend or update this document from time to time.